"""FastAPIサーバーの起動イベントのラッパー"""

from typing import Callable

from src.db.tasks import init_db


def create_start_app_handler() -> Callable:
    def start_app() -> None:
        init_db()

    return start_app
